;Project AXIS
;Description: AXIS, configuration file.
;		All Hardware connections (excl controls) and body dimensions 
;		are configurated in this file. Can be used with V2.0 and above
;Configuration version: V1.0
;Date: 10-08-2010
;Programmer format: Jeroen Janssen (aka Xan)
;
;Hardware setup: ABB2 with ATOM 28 Pro, SSC32 V2, (See further for connections)
;
;NEW IN V1.0.1
;	- First Release
;
;--------------------------------------------------------------------
;[SERIAL CONNECTIONS]
cSSC_OUT   		con P11		;Output pin for (SSC32 RX) on BotBoard (Yellow)
cSSC_IN    		con P10		;Input pin for (SSC32 TX) on BotBoard (Blue)
cSSC_BAUD 		con i38400	;SSC32 BAUD rate
;--------------------------------------------------------------------
;[BB2 PIN NUMBERS]
cEyesPin		con P8
;--------------------------------------------------------------------
;[SSC PIN NUMBERS]
cRRCoxaPin 		con P19	;Rear Right leg Hip Horizontal
cRRFemurPin 	con P18	;Rear Right leg Hip Vertical
cRRTibiaPin 	con P17	;Rear Right leg Knee
cRRTarsPin 		con P16

cRFCoxaPin 		con P28	;Front Right leg Hip Horizontal
cRFFemurPin 	con P29	;Front Right leg Hip Vertical
cRFTibiaPin 	con P30	;Front Right leg Knee
cRFTarsPin 		con P31

cLRCoxaPin 		con P3	;Rear Left leg Hip Horizontal
cLRFemurPin 	con P2	;Rear Left leg Hip Vertical
cLRTibiaPin 	con P1	;Rear Left leg Knee
cLRTarsPin 		con P4

cLFCoxaPin 		con P12	;Front Left leg Hip Horizontal
cLFFemurPin 	con P13	;Front Left leg Hip Vertical
cLFTibiaPin 	con P14	;Front Left leg Knee
cLFTarsPin 		con P15

cHeadPanPin     con P5
cHeadTiltPin    con P6
;--------------------------------------------------------------------
;[SERVO Offsets]
cRFCoxaOffset 	con 650+2	;Front Right leg Hip Horizontal		
cRFFemurOffset 	con 650-67	;Front Right leg Hip Vertical	
cRFTibiaOffset  con 650+317	;Front Right leg Knee			
cRFTarsOffset 	con 650-396	;Front Right leg foot						

cRRCoxaOffset 	con 650-68	;Rear Right leg Hip Horizontal		
cRRFemurOffset 	con 650-32	;Rear Right leg Hip Vertical	
cRRTibiaOffset  con 650+438	;Rear Right leg Knee			
cRRTarsOffset 	con 650-289	;Rear Right leg foot			

cLFCoxaOffset 	con 650+89	;Front Left leg Hip Horizontal		
cLFFemurOffset 	con 650+183	;Front Left leg Hip Vertical		
cLFTibiaOffset  con 650-245	;Front Left leg Knee			
cLFTarsOffset 	con 650+416;Front Left leg foot							

cLRCoxaOffset 	con 650-66	;Rear Left leg Hip Horizontal		
cLRFemurOffset 	con 650+115	;Rear Left leg Hip Vertical			
cLRTibiaOffset  con 650-405	;Rear Left leg Knee					
cLRTarsOffset 	con 650+356	;Rear Left leg foot					

;--------------------------------------------------------------------
;[MIN/MAX ANGLES]
cRRCoxaMin1		con -260	;Mechanical limits of the Right Rear Leg, decimals = 1
cRRCoxaMax1		con 740
cRRFemurMin1	con -1010
cRRFemurMax1	con 950
cRRTibiaMin1	con -1060
cRRTibiaMax1	con 770

cRFCoxaMin1		con -580	;Mechanical limits of the Right Front Leg, decimals = 1
cRFCoxaMax1		con 740
cRFFemurMin1	con -1010
cRFFemurMax1	con 950
cRFTibiaMin1	con -1060
cRFTibiaMax1	con 770

cLRCoxaMin1		con -740	;Mechanical limits of the Left Rear Leg, decimals = 1
cLRCoxaMax1		con 260
cLRFemurMin1	con -950
cLRFemurMax1	con 1010
cLRTibiaMin1	con -770
cLRTibiaMax1	con 1060

cLFCoxaMin1		con -740	;Mechanical limits of the Left Front Leg, decimals = 1
cLFCoxaMax1		con 580
cLFFemurMin1	con -950
cLFFemurMax1	con 1010
cLFTibiaMin1	con -770
cLFTibiaMax1	con 1060

cHeadPanMin1		con -350	;Mechanical limits of the Right Middle Leg, decimals = 1
cHeadPanMax1		con 350
;--------------------------------------------------------------------
;[BODY DIMENSIONS]
cCoxaLength  	con 29		;Length of the Coxa [mm]
cFemurLength 	con 75		;Length of the Femur [mm]
cTibiaLength 	con 71		;Lenght of the Tibia [mm]
cTarsLength		con	85		;Lenght of the Tars [mm]

cHeadPanAngle1 	con 0

cRRCoxaAngle1 	con -450	;Default Coxa setup angle, decimals = 1
cRFCoxaAngle1 	con 450		;Default Coxa setup angle, decimals = 1
cLRCoxaAngle1 	con -450	;Default Coxa setup angle, decimals = 1
cLFCoxaAngle1 	con 450		;Default Coxa setup angle, decimals = 1

cRROffsetX 		con -50'-38		;Distance X from center of the body to the Right Rear coxa
cRROffsetZ 		con 0'40		;Distance Z from center of the body to the Right Rear coxa
cRFOffsetX 		con -30;-60		;Distance X from center of the body to the Right Front coxa
cRFOffsetZ 		con -75;-40	    ;Distance Z from center of the body to the Right Front coxa

cLROffsetX 		con 50'38		;Distance X from center of the body to the Left Rear coxa
cLROffsetZ 		con 0'40		;Distance Z from center of the body to the Left Rear coxa
cLFOffsetX 		con 30'60		;Distance X from center of the body to the Left Front coxa
cLFOffsetZ 		con -75'-40	    ;Distance Z from center of the body to the Left Front coxa

cHeadPanOffsetX con 0
cHeadPanOffsetZ con -63     

;--------------------------------------------------------------------
;[START POSITIONS FEET]
cRRInitPosX 	con 72		;Start positions of the Right Rear leg
cRRInitPosY 	con 18
cRRInitPosZ 	con 72

cRFInitPosX 	con 72		;Start positions of the Right Front leg
cRFInitPosY 	con 18
cRFInitPosZ 	con -72

cLRInitPosX 	con 72		;Start positions of the Left Rear leg
cLRInitPosY 	con 18
cLRInitPosZ 	con 72

cLFInitPosX 	con 72		;Start positions of the Left Front leg
cLFInitPosY 	con 18
cLFInitPosZ 	con -72

;Start positions of the Right Middle leg
cHeadPanInitPosX con 0     ;Distance X
cHeadPanInitPosY con 25      ;Distance Y
cHeadPanInitPosZ con 138       ;Distance Z

;--------------------------------------------------------------------
;[Tars factors used in formula to calc Tarsus angle relative to the ground]
cTarsConst		con	720
cTarsMulti		con 2
cTarsFactorA	con 70'77
cTarsFactorB	con 70'65